Skip to main content
Use this section to manage Atonom phone numbers programmatically.

Versioning

The version is the first segment of the path. Phone numbers are currently under beta/.
  • alpha/ — Breaking changes may happen without notice.
  • beta/ — These endpoints evolve quickly, and breaking changes should be expected. Deprecated endpoints, fields, and similar surface are documented, and you are notified when a request uses something that is deprecated.
  • v1/, v2/, and later — These versions do not introduce breaking changes. Deprecation is announced well in advance.

What you can do

Because this API is currently in beta, available operations are currently limited.
  • List and get phone numbers
  • Buy a phone number in an area code
  • Update a number’s name and the cloud employees that handle inbound and outbound calls
  • Release a phone number

Base URL

All REST API requests use the same base URL:
Append the endpoint path from the reference (for example, GET https://api.atonom.ai/beta/phone-numbers).

Authentication

Every secured request must include your API key in the X-Api-Key header:
Create and manage keys from the API keys page.

Getting started

If you are new to the API:
  1. Create your API key from the API keys page.
  2. Make your first request with the List phone numbers endpoint.